API Documentation
<access-service>/api/v1/config/theme/img/{imageLocationToOverride}

URL structure

https://access-service.xy-company.com/api/v1/config/theme/img/{imageLocationToOverride}

where {imageLocationToOverride} is a property value identifying the specific logo to be updated, which could be one of the following:

  • email_logo - The logo which appears in the header of Covata Notification email messages.
  • footer - The logo which appears in the header of the Safe Share web application and Covata Administration.
  • header - The logo which appears in the footer of the Safe Share web application and Covata Administration.
  • login_logo - The logo which appears above the Email address and Your password fields on the Sign-in page.

Supported methods and overview

  • POST - used to set new logos for Covata Notification email messages, the header and footer of the Safe Share web application and Covata Administration, as well as their Sign-in page.
  • DELETE - used to reset the logo (set through a POST method to the relevant one of these API endpoints) back to its default.

Note: The DELETE method takes no parameters.

Detailed description

This API endpoint serves a number of purposes:

  • Sets new logos for Covata Notification email messages, the header and footer of the Safe Share web application and Covata Administration, as well as their Sign-in page.
  • Resets the logo (set through a POST method to the relevant one of these API endpoints) back to its default.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

The following header is also required in a POST request to allow multi-part (including binary) form data elements to be uploaded through the request:

  • Content-Type: multipart/form-data

Note: It is also worth appending to this header a boundary parameter, whose string value is used to demark each multi-part form data element of the request (i.e. this string is not used for any other purpose throughout the entire request).
For example, to use the following string to demark each multi-part form data element:
-----------------------------12345678901234567890123456
assign this string value to the boundary parameter, which in turn is appended to the Content-Type: multipart/form-data header, such that this header will be:
Content-Type: multipart/form-data; boundary=-----------------------------12345678901234567890123456

Required parameters

The following required parameter must be sent in the body of the POST request, as an individual multi-part form data element:

  • file - The actual data of the image file (i.e. logo) to be uploaded to the Covata Platform's Access Service.

    Example ():

Returns from a POST request

A JSON-formatted response containing the following members:

  • success - .
  • message - .

    Example ():

Returns from a DELETE request

If the request succeeded, then an HTTP response status 200 OK is returned.